> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chataigne.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update delivery settings



## OpenAPI

````yaml /api-reference/chataigne-v1.json patch /v1/locations/{location_id}/delivery_settings
openapi: 3.0.0
info:
  title: Chataigne API
  description: The Chataigne API — Location & Organization Management.
  version: '2026-05-01'
  contact: {}
servers:
  - url: https://api.chataigne.ai
security: []
tags: []
paths:
  /v1/locations/{location_id}/delivery_settings:
    patch:
      tags:
        - Location settings
      summary: Update delivery settings
      operationId: LocationSettingsV1Controller_patchDeliverySettings
      parameters:
        - name: location_id
          in: path
          required: true
          schema:
            type: string
          example: loc_023d6847de544fdb9a5510db
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateDeliverySettingsRequest'
      responses:
        '200':
          description: The updated delivery settings.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeliverySettings'
        '400':
          description: Invalid request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Authentication required.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: The principal is not allowed to perform this request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: The resource does not exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - organization-api-key: []
components:
  schemas:
    UpdateDeliverySettingsRequest:
      type: object
      description: >-
        PATCH body; omitted fields are preserved. Nullable fields can be set to
        null to clear/reset them.
      properties:
        delivery_enabled:
          type: boolean
        pickup_enabled:
          type: boolean
        provider:
          type: string
          enum:
            - handledByStore
            - uberDirect
            - chaskis
            - dood
        fee_strategy:
          type: string
          enum:
            - postalCode
            - deliveryZone
            - percentage
            - customerPaysAll
            - restaurantPaysAll
            - smart
            - distanceRange
        postal_codes:
          type: array
          items:
            $ref: '#/components/schemas/DeliveryPostalCode'
          nullable: true
        delivery_zones:
          type: array
          items:
            $ref: '#/components/schemas/DeliveryZone'
          nullable: true
        fee_percentage:
          type: number
          minimum: 0
          maximum: 1
          nullable: true
        smart_parameters:
          allOf:
            - $ref: '#/components/schemas/SmartParameters'
          nullable: true
        distance_ranges:
          type: array
          items:
            $ref: '#/components/schemas/DistanceRange'
          nullable: true
        chaskis_flat_fee:
          $ref: '#/components/schemas/Money'
        chaskis_per_km_fee:
          $ref: '#/components/schemas/Money'
        max_delivery_radius_in_km:
          type: number
          minimum: 0
          nullable: true
        max_delivery_fee:
          allOf:
            - $ref: '#/components/schemas/Money'
          nullable: true
        min_order_amount:
          type: number
          minimum: 0
          nullable: true
        max_order_amount:
          type: number
          minimum: 0
          nullable: true
        max_items_number:
          type: integer
          minimum: 1
          nullable: true
        delivery_verification_mode:
          type: string
          enum:
            - picture
            - pincode
          nullable: true
        uber_direct_pickup_notes_enabled:
          type: boolean
        uber_direct_pickup_notes:
          type: string
          maxLength: 280
          nullable: true
        uber_direct_ums_enabled:
          type: boolean
        uber_direct_auto_dmc:
          allOf:
            - $ref: '#/components/schemas/UberDirectAutoDmc'
          nullable: true
    DeliverySettings:
      type: object
      properties:
        object:
          type: string
          enum:
            - delivery_settings
        location_id:
          type: string
        delivery_enabled:
          type: boolean
        pickup_enabled:
          type: boolean
        provider:
          type: string
          enum:
            - handledByStore
            - uberDirect
            - chaskis
            - dood
        fee_strategy:
          type: string
          enum:
            - postalCode
            - deliveryZone
            - percentage
            - customerPaysAll
            - restaurantPaysAll
            - smart
            - distanceRange
        postal_codes:
          type: array
          items:
            $ref: '#/components/schemas/DeliveryPostalCode'
        delivery_zones:
          type: array
          items:
            $ref: '#/components/schemas/DeliveryZone'
        fee_percentage:
          type: number
          nullable: true
        smart_parameters:
          allOf:
            - $ref: '#/components/schemas/SmartParameters'
          nullable: true
        distance_ranges:
          type: array
          items:
            $ref: '#/components/schemas/DistanceRange'
        chaskis_flat_fee:
          $ref: '#/components/schemas/Money'
        chaskis_per_km_fee:
          $ref: '#/components/schemas/Money'
        max_delivery_radius_in_km:
          type: number
          nullable: true
        max_delivery_fee:
          allOf:
            - $ref: '#/components/schemas/Money'
          nullable: true
        min_order_amount:
          type: number
          nullable: true
        max_order_amount:
          type: number
          nullable: true
        max_items_number:
          type: number
          nullable: true
        delivery_verification_mode:
          type: string
          enum:
            - picture
            - pincode
          nullable: true
        uber_direct_pickup_notes_enabled:
          type: boolean
        uber_direct_pickup_notes:
          type: string
          nullable: true
        uber_direct_ums_enabled:
          type: boolean
        uber_direct_auto_dmc:
          allOf:
            - $ref: '#/components/schemas/UberDirectAutoDmc'
          nullable: true
    Error:
      type: object
      properties:
        error:
          type: object
          required:
            - type
            - code
            - message
            - request_id
          properties:
            type:
              type: string
              enum:
                - invalid_request_error
                - authentication_error
                - authorization_error
                - not_found_error
                - conflict_error
                - rate_limit_error
                - idempotency_error
                - api_error
            code:
              type: string
              example: resource_missing
            message:
              type: string
            param:
              type: string
            request_id:
              type: string
              example: req_8f2c…
            details:
              type: object
              additionalProperties: true
    DeliveryPostalCode:
      type: object
      required:
        - postal_code
        - minimum_order_amount
        - delivery_fee
      properties:
        postal_code:
          type: integer
          example: 1204
        minimum_order_amount:
          type: number
          minimum: 0
          example: 25
        delivery_fee:
          $ref: '#/components/schemas/Money'
    DeliveryZone:
      type: object
      required:
        - id
        - name
        - polygon
        - minimum_order_amount
        - delivery_fee
      properties:
        id:
          type: string
          example: zone-centre
        name:
          type: string
          example: Centre-ville
        polygon:
          type: array
          items:
            $ref: '#/components/schemas/GeoPoint'
        minimum_order_amount:
          type: number
          minimum: 0
          example: 25
        delivery_fee:
          $ref: '#/components/schemas/Money'
    SmartParameters:
      type: object
      required:
        - menu_uplift
        - uber_commission
        - target_lift
        - coverage_fraction
      properties:
        menu_uplift:
          type: number
          minimum: 0
          maximum: 1
          example: 0.15
        uber_commission:
          type: number
          minimum: 0
          maximum: 1
          example: 0.3
        target_lift:
          type: number
          minimum: 0
          maximum: 1
          example: 0.03
        coverage_fraction:
          type: number
          minimum: 0
          maximum: 1
          example: 0.8
    DistanceRange:
      type: object
      required:
        - up_to_km
        - displayed_fee
      properties:
        up_to_km:
          type: number
          minimum: 0
          example: 2
        displayed_fee:
          type: number
          minimum: 0
          example: 3.5
        minimum_order_amount:
          type: number
          minimum: 0
          example: 20
    Money:
      type: object
      properties:
        amount:
          type: number
        currency:
          type: string
    UberDirectAutoDmc:
      type: object
      required:
        - enabled
        - split_mode
        - price_tiers
        - volume_multipliers
      properties:
        enabled:
          type: boolean
        split_mode:
          type: string
          enum:
            - price
            - volume
        price_tiers:
          type: array
          items:
            $ref: '#/components/schemas/UberDirectAutoDmcPriceTier'
        volume_multipliers:
          type: array
          items:
            $ref: '#/components/schemas/UberDirectAutoDmcCourierMultiplier'
    GeoPoint:
      type: object
      properties:
        latitude:
          type: number
          example: 46.20439
        longitude:
          type: number
          example: 6.14316
    UberDirectAutoDmcPriceTier:
      type: object
      required:
        - up_to_order_amount
        - courier_count
        - delivery_fee_multiplier
      properties:
        up_to_order_amount:
          type: number
          nullable: true
          minimum: 0
          example: 80
        courier_count:
          type: integer
          enum:
            - 1
            - 2
            - 3
          example: 1
        delivery_fee_multiplier:
          type: number
          minimum: 1
          example: 1.5
    UberDirectAutoDmcCourierMultiplier:
      type: object
      required:
        - courier_count
        - delivery_fee_multiplier
      properties:
        courier_count:
          type: integer
          enum:
            - 1
            - 2
            - 3
          example: 2
        delivery_fee_multiplier:
          type: number
          minimum: 1
          example: 1.5
  securitySchemes:
    organization-api-key:
      type: apiKey
      in: header
      name: x-api-key
      description: Location/organization API key.

````